const express = require("express");
const { BookmarkController } = require("../../controllers/api");
const { verifyToken } = require("../../middleware");
const {
  BookmarkPropertyValidation,
} = require("../../validations/PropertyValidation");
const router = express.Router();

router.get("/", verifyToken, BookmarkController.index);
router.post(
  "/",
  verifyToken,
  BookmarkPropertyValidation,
  BookmarkController.bookmarkProperty
);

module.exports = router;
